Update a webhook
curl --request PUT \
--url https://api.notchpay.co/webhooks/{endpoint} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "https://example.com/webhooks",
"description": "Webhook principal mis à jour",
"events": []
}
'import requests
url = "https://api.notchpay.co/webhooks/{endpoint}"
payload = {
"url": "https://example.com/webhooks",
"description": "Webhook principal mis à jour",
"events": []
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
url: 'https://example.com/webhooks',
description: 'Webhook principal mis à jour',
events: []
})
};
fetch('https://api.notchpay.co/webhooks/{endpoint}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 202,
"status": "Accepted",
"message": "Webhook endpoint updated successfully",
"endpoint": "<unknown>"
}API Reference
Update a webhook
PUT
/
webhooks
/
{endpoint}
Update a webhook
Authorizations
ApiKeyAuthGrantAuthSyncAuth
Path Parameters
Unique identifier of the webhook
Body
application/json
Example:
"https://example.com/webhooks"
Example:
"Webhook principal mis à jour"
Available options:
payment.created, payment.complete, payment.failed, payment.canceled, payment.expired, transfer.created, transfer.complete, transfer.failed, customer.created, customer.updated, customer.deleted, customer.blocked, customer.unblocked Was this page helpful?
⌘I